import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { optionsListApi } from '/@/api/tigerapi/wms/inventorySearch';
import { h } from 'vue';
import { Tag } from 'ant-design-vue';

export const columns: BasicColumn[] = [
  {
    title: '批次号',
    dataIndex: 'SUPP_LOTNO',
    width:120,
    sorter: true,
    resizable:true
  },
  {
    title: '仓库',
    dataIndex: 'WH_CODE',
    width:120,
    sorter: true,
    resizable:true
  },
  {
    title: '据点',
    dataIndex: 'AUTH_ORG',
    width:120,
    sorter: true,
    resizable:true
  },
  {
    title: '储位',
    dataIndex: 'LOCATION_CODE',
    width:120,
    sorter: true,
    resizable:true
  },
  {
    title: '物料代码',
    dataIndex: 'ITEM_CODE',
    width:100,
    resizable:true
  },
  {
    title: '数量',
    dataIndex: 'QTY',
    width:60,
    resizable:true
  },
  {
    title: '物料名称',
    dataIndex: 'ITEM_NAME',
    width: 400,
    resizable:true
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'WH_CODE',
    label: '库位',
    component: 'Input',
    colProps: { span: 8 },
  },
  // {
  //   field: 'AUTH_ORG',
  //   label: '据点',
  //   component: 'Input',
  //   colProps: { span: 8 },
  // },
];
